Package org.eclipse.viatra.transformation.evm.api.resolver

## Class ScopedConflictSet

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.resolver.ScopedConflictSet

- All Implemented Interfaces:
    `ConflictSet`

      public class ScopedConflictSet
      extends java.lang.Object
      implements ConflictSet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `IActivationNotificationListener` | `listener` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScopedConflictSet​(RuleBase ruleBase, ConflictResolver conflictResolver, java.util.Map<RuleSpecification<?>,​java.util.Set<EventFilter<?>>> specificationFilters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `java.util.Set<Activation<?>>` | `getConflictingActivations()` | Returns a snapshot of all activations that are in conflict (all enabled activations).
    `ConflictResolver` | `getConflictResolver()` |
    `protected IActivationNotificationListener` | `getListener()` |
    `Activation<?>` | `getNextActivation()` |
    `java.util.Set<Activation<?>>` | `getNextActivations()` | Returns a snapshot of activations that are considered as equal by the resolver.
    `java.util.Map<RuleSpecification<?>,​java.util.Set<EventFilter<?>>>` | `getSpecificationFilters()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listener

          public IActivationNotificationListener listener

  - ### Constructor Detail

    - #### ScopedConflictSet

          public ScopedConflictSet​(RuleBase ruleBase,
                                   ConflictResolver conflictResolver,
                                   java.util.Map<RuleSpecification<?>,​java.util.Set<EventFilter<?>>> specificationFilters)

      Since:
        2.0

  - ### Method Detail

    - #### getSpecificationFilters

          public java.util.Map<RuleSpecification<?>,​java.util.Set<EventFilter<?>>> getSpecificationFilters()

      Since:
        2.0

    - #### getListener

          protected IActivationNotificationListener getListener()

    - #### dispose

          public void dispose()

    - #### getNextActivation

          public Activation<?> getNextActivation()

      Specified by:
        `getNextActivation` in interface `ConflictSet`
      Returns:
        the next activation chosen by the resolver

    - #### getNextActivations

          public java.util.Set<Activation<?>> getNextActivations()

      Description copied from interface: `ConflictSet`
      Returns a snapshot of activations that are considered as equal by the resolver. Each time the method is called, a new copy of the activation set is returned.
      Specified by:
        `getNextActivations` in interface `ConflictSet`

    - #### getConflictingActivations

          public java.util.Set<Activation<?>> getConflictingActivations()

      Description copied from interface: `ConflictSet`
      Returns a snapshot of all activations that are in conflict (all enabled activations). Each time the method is called, a new copy of the conflicting actions are returned.
      Specified by:
        `getConflictingActivations` in interface `ConflictSet`

    - #### getConflictResolver

          public ConflictResolver getConflictResolver()

      Specified by:
        `getConflictResolver` in interface `ConflictSet`